Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.reasoner.rulesys
Interface BindingEnvironment

    public interface BindingEnvironment

Interface through which the current bound values of variables can be found. Many of the details vary between the forward and backward chaining system - this interface is the minimal one needed by most builtins the specific implementations offer richer functionality.

Version:
  $Revision: 1.11 $ on $Date: 2008/01/02 12:07:47 $
Author:
  Dave Reynolds

Method Summary
`boolean` | `bind(Node var, Node value)` Bind a variable in the current envionment to the given value.
`Node` | `getGroundVersion(Node node)` Return the most ground version of the node.
`Triple` | `instantiate(TriplePattern pattern)` Instantiate a triple pattern against the current environment.

Method Detail

### getGroundVersion

    Node getGroundVersion(Node node)

  Return the most ground version of the node. If the node is not a variable just return it, if it is a varible bound in this environment return the binding, if it is an unbound variable return the variable.

### bind

    boolean bind(Node var,
                 Node value)

  Bind a variable in the current envionment to the given value. Checks that the new binding is compatible with any current binding.

  Parameters:
    `var` - a Node_RuleVariable defining the variable to bind
    `value` - the value to bind
  Returns:
    false if the binding fails

### instantiate

    Triple instantiate(TriplePattern pattern)

  Instantiate a triple pattern against the current environment. This version handles unbound varibles by turning them into bNodes.

  Parameters:
    `pattern` - the triple pattern to match
  Returns:
    a new, instantiated triple

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP